Bug 572353 - path is wrong for hardware.py plugin
path is wrong for hardware.py plugin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.6
All Linux
low Severity low
: rc
: ---
Assigned To: Bryn M. Reeves
BaseOS QE - Apps
:
Depends On:
Blocks: 736718
  Show dependency treegraph
 
Reported: 2010-03-10 18:19 EST by david.garvey
Modified: 2012-04-23 08:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: sos-1.7-9.52.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 736718 (view as bug list)
Environment:
Last Closed: 2011-07-21 03:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david.garvey 2010-03-10 18:19:46 EST
Description of problem:/usr/share/rhn/up2dateclient/hardware.py path is incorrect.


Version-Release number of selected component (if applicable):


How reproducible:
[root@sc208-test plugins]# grep up2dateclient /usr/lib/python2.4/site-packages/sos/plugins/hardware.py
        self.collectExtOutput("/usr/share/rhn/up2dateclient/hardware.py")


Steps to Reproduce:
[root@sc208-test plugins]# diff -u /tmp/hardware.py /usr/lib/python2.4/site-packages/sos/plugins/hardware.py
--- /tmp/hardware.py	2010-03-10 14:20:01.000000000 -0800
+++ /usr/lib/python2.4/site-packages/sos/plugins/hardware.py	2008-11-12 03:17:49.000000000 -0800
@@ -35,7 +35,7 @@
         self.addCopySpec("/proc/chandev")
         self.addCopySpec("/proc/dasd")
         self.addCopySpec("/proc/s390dbf/tape")
-        self.collectExtOutput("/usr/share/rhn/up2date_client/hardware.py")
+        self.collectExtOutput("/usr/share/rhn/up2dateclient/hardware.py")
         self.collectExtOutput("""/bin/echo "lspci:" ; /bin/echo ; /sbin/lspci ; /bin/echo ; /bin/echo "lspci -nvv:" ; /bin/echo ; /sbin/lspci -nvv""", suggest_filename = "lspci", root_symlink = "lspci")
 
         self.collectExtOutput("/usr/sbin/dmidecode", root_symlink = "dmidecode")
[root@sc208-test plugins]# ls /usr/share/rhn/up2date_client/hardware.py
/usr/share/rhn/up2date_client/hardware.py
[root@sc208-test plugins]# 
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Stokes 2010-03-11 08:50:06 EST
Hey David,

Thanks for the report. Unfortunately 5.5 is due out soon and the bug still exists, however, I'll make sure it gets fixed in the next update release.

Thanks,
Adam
Comment 5 Bryn M. Reeves 2011-01-14 12:08:28 EST
Probably an easy fix (did that '_' get added in a new version?); either way should be fixed with a glob.
Comment 6 Pierre Carrier 2011-02-11 10:37:11 EST
Fixed upstream through https://fedorahosted.org/sos/changeset/1081
Comment 10 errata-xmlrpc 2011-07-21 03:59:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1028.html

Note You need to log in before you can comment on or make changes to this bug.